#if !defined  HAVE_HAARI2I_H__
#define       HAVE_HAARI2I_H__

#include "fxttypes.h"  // ulong

// haar/haari2i.cc:
void haar_i2i(double *f, ulong ldn, double *ws=0);
void inverse_haar_i2i(double *f, ulong ldn, double *ws=0);


#endif  // !defined HAVE_HAARI2I_H__
